summaryrefslogtreecommitdiff
path: root/tests/test-tidy.sh
diff options
context:
space:
mode:
authorRiku Isokoski <riksu9000@gmail.com>2022-08-16 16:35:59 +0300
committerJF <JF002@users.noreply.github.com>2022-10-10 17:52:36 +0200
commit73918ce8af763cfe8cbdec0336c97931724c6b63 (patch)
tree646ae2de86a692a46f34f64fb07f02fbc0786bdc /tests/test-tidy.sh
parent957f7d2ec3dbbca562ed1ada085061676f804893 (diff)
Add clang-tidy check to display warnings on GitHub
Diffstat (limited to 'tests/test-tidy.sh')
-rwxr-xr-xtests/test-tidy.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/test-tidy.sh b/tests/test-tidy.sh
new file mode 100755
index 00000000..f1ee5fed
--- /dev/null
+++ b/tests/test-tidy.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$GITHUB_BASE_REF" ]
+then
+ echo "This script is only meant to be run in a GitHub Workflow"
+ exit 1
+fi
+
+CHANGED_FILES=$(git diff --name-only "$GITHUB_BASE_REF"...HEAD)
+
+for file in $CHANGED_FILES
+do
+ [ -e "$file" ] || continue
+ case "$file" in
+ src/libs/*|src/FreeRTOS/*) continue ;;
+ *.cpp|*.h)
+ echo "::group::$file"
+ clang-tidy-12 -p build "$file" || true
+ echo "::endgroup::"
+ esac
+done
+
+exit 0